fieldset{
    width: 30%;
    padding: 1.5em;
    border-radius: 8px; 
}
.login_form, .comment_form, .create_account_form {
    position: fixed; /* or absolute if needed */
    background-color: #fcfcfc;
    border: 0;
    margin: auto;
    top: 10em;
    right: 0;
    left: 0;
    opacity: 0;
    pointer-events: none;
    transition: .9s;
    z-index: 10000;  /* Ensure it's above .dim_screen (z-index: 9999) */
}

.form{
    box-shadow: 0 0 6px rgb(0, 0, 0, 0.15);
}
legend{
    font-size: 22px;
    background-color: #fcfcfc;
    border-radius: 2em;
    padding: 0 .9em 0 .9em;
    color: #001133;
    font-weight: 400;
}
.close_login_form, .close_comment_form, .close_create_account_form{
    position: absolute;
    padding: 0;
    width: 45px;
    top: -1.6em;
    right: -.4em;
    background-color: transparent;
    border: 0;
    font-size: 3em;
    color: tomato;
    z-index: 5;

}
fieldset div{
    position: relative;
}

fieldset div span{
    position: absolute;
    display: block;
    width: 94%;
    border-radius: 1px;
    background-color: transparent;
    top: 8px;
    left: 9px;
    pointer-events: none;
    transition: .5s;
}

 fieldset textarea{
    display: block;
    width: 100%;
    height: 200px!important;
    margin-bottom: 2em;
    font-size: 16px;
    outline: 0;
    border: #b6b6b6 1px solid;
    border-radius: 8px;
}
 fieldset button{
    display: block;
    width: 100%;
    height: 60px;
    margin-bottom: 2em;
    font-size: 16px;
    outline: 0;
    border: #b6b6b6 1px solid;
    border-radius: 12px;
}

fieldset input, fieldset select{
    display: block;
    width: 100%;
    height: 40px;
    margin-bottom: 2em;
    font-size: 16px;
    outline: 0;
    border: #b6b6b6 1px solid !important;
    border-radius: 8px;
    
}

fieldset input, fieldset textarea,fieldset select {
    padding-left: 8px;
    background-color: #fcfcfc;
}
fieldset textarea{
    padding-top: .7em;
    resize: none;
    width: 100%;
     height: 200px;
}
fieldset input:focus~span, fieldset input:valid~span, fieldset textarea:focus~span, fieldset textarea:valid~span{
    top: -22px;
}
fieldset button{
    height: 45px;
    font-size: 20px;
    color: #fcfcfc;
   padding: 8px 16px;
  background-color: #3b71dc;
  border: none;
  outline: none;
  border-radius: 2px;
  cursor: pointer;

}
fieldset button:hover{
    opacity: .5;
    cursor: pointer;
}

.create_account, .login_now{
display: inline-block;
padding: 5px;
font-weight: 500;
}
.create_account:hover, .login_now:hover{
    cursor: pointer;
    opacity: .5;
}
.loading{
    display: block;
    margin: auto;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    border-top: 4px dashed #001133;
    border-right: 4px dashed goldenrod;
    border-bottom: 4px dashed #001133;
    border-left: 4px dashed goldenrod;
    animation: loading_icon linear 1.5s infinite;
}

.msg{
    text-align: center;
}
.msg img{
    display: block;
    margin: auto;
    width: 50px;
}
@keyframes loading_icon {
    from {
        transform: rotate(0deg);
    }
    to{
        transform: rotate(360deg);
    }
}

@media (max-width: 800px) {
    fieldset{
        width: 80%;
    }
}